* {
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body {
    font-size: 19px;
    margin: 0;
    padding: 0;
    font-family: 'Roboto Slab','Arvo','Bitter','Ariel','Helvetica',sans-serif;
    color: #333;
    line-height: 1.5em;
    text-rendering: optimizeLegibility;
}

a {
    text-decoration: none;
}

a:hover {
    color: #482e00;
}

h1,h2 {
    margin: 0 0 25px;
}

h2 {
    text-align: center;
    padding: 20px 20px;
}

h3,h4 {
    text-align: center;
    margin: 20px 0;
}

p {
    padding: 10px 0;
}

hr {
    margin: 0.5em 0;
}

label {
    font-size: 1.2em;
}

.clearfix::after {
    content: "";
    clear: both;
    display: table;
}

.float-left {
    float: left;
}

.float-right {
    float: right;
}

.text-center {
    text-align: center;
}

.active {
    background-color: #dedede;
}

.btn-group {
    padding: 5px 0;
    margin-bottom: 30px;
    height: 46px;
}

.btn-group .btn {
    font-size: 0.8em;
}

.btn-group-icon {
    margin-right: 6px;
}

.btn {
    height: 36px;
    margin-right: 10px;
    color: #333;
    background-color: #f5f5f5;
    border: 2px solid #cdcdcd;
    padding: 6px 9px;
    font-size: 1em;
    transition: 0.05s;
/*    font-family: Arvo;*/
}

a.btn {
    padding: 2px 9px 5px;
}

.btn:last-child {
    margin-right: 0;
}

.btn-group .btn:last-child {
    margin-right: 10px;
}

.btn-group .btn:nth-last-child(2) {
    margin-right: 0;
}

.btn:hover {
    cursor: pointer;
    background-color: #ddd;
    border-color: #f5f5f5;
    transition: 0.05s;
}

.center-btn {
    display: inline-block;
    position: relative;
    left: 50%;
    transform: translateX(-50%);
}

.radio-label {
    padding-left: 10px;
    cursor: pointer;
}

#topbar {
    padding-bottom: 10px;
    box-shadow: 1px 0 9px #000;
}

nav ul {
    list-style: none;
}

#logo-box {
    width: 32%;
    margin: 0 auto;
    padding: 20px 20px 10px;
}

#logo-box img {
    width: 100%;
}

#left-nav {
    opacity: 0;
    position: fixed;
    top: 50px;
    width: 23%;
    padding: 10px 5px 5px;
    z-index: -1;
}

#left-nav img {
    position: relative;
    width: 90%;
    left: 50%;
    transform: translateX(-50%);
}

#left-nav-menu {
    margin-top: 20px;
    font-size: 0.85em;
}

#main-nav {
    margin-top: -15px;
    text-align: center;
}

#main-nav ul {
    margin: 0;
    padding: 0;
/*    display: inline-block;*/
    width: 100%;
}

#main-nav li {
/*    height: 100%;*/
    display: inline-block;
}

#main-nav li:last-of-type {
    margin-right: 0;
}

#main-nav li a {
    display: block;
/*    height: 100%;*/
    padding: 0 6px 0;
}

#main-nav li a:hover {
    background-color: #c1a46d;
}

#login-box {
    width: 50%;
    margin: 0 auto;
    padding: 40px 50px 30px;
}

#account-box {
    width: 60%;
    margin: 0 auto;
    padding: 0 30px 10px;
}

#content {
    position: relative;
    width: 80%;
    margin: 70px auto 0;
}

#cat-menu {
    position: fixed;
    width: 23%;
    padding: 20px;
    overflow-y: auto;
}

.cat-icon {
    min-width: 20px;
    margin-right: 5px;
}

#add-cat-btn,
.cat-option {
    display: block;
    padding: 5px 9px 3px;
    color: #333;
}

#add-cat-btn:hover,
.cat-option:hover {
    cursor: pointer;
    background-color: #eee;
}

#display {
    position: relative;
    width: 70%;
    float: right;
    padding-left: 30px;
}

#display-box {
    padding: 20px;
}

#display-items-box {
    padding-left: 20px;
}

#display-items-box p {
    padding-left: 15px;
    padding-right: 15px;
}

#display-items-box .cat-desc {
    margin-top: -25px;
    margin-bottom: 25px;
    padding: 0 25px 20px;
/*    text-align: center;*/
}

.form-group {
    width: 100%;
    display: block;
    margin-bottom: 30px;
    clear: both;
}

.form-group:last-child {
    margin-bottom: 0;
}

.form-group label {
    position: relative;
    left: 0;
}

.form-group input[type='text'],
.form-group input[type='file'],
.form-group input[type='password'],
.form-group input[type='email'],
.form-group select,
.form-group textarea {
    font-family: 'Roboto Slab','Ariel','Helvetica',sans-serif;
    width: 77%;
    float: right;
    padding: 2px 5px 5px;
    font-size: 1em;
}

.form-group input[type='text'],
.form-group input[type='password'],
.form-group input[type='email'],
.form-group select,
.form-group textarea {
    border: 1px solid #aaa;
}

input[type='file']:hover {
    cursor: pointer;
}

input[type='text'],
select {
    height: 34px;
}

input[type='radio'],
input[type='checkbox'] {
    width: 18px;
    height: 18px;
}

input[type='radio']:hover {    
    cursor: pointer;
}

.form-group textarea {
    padding: 8px 15px;
    margin-bottom: 30px;
    line-height: 1.5em;
}

.item {
    width: 100%;
    background-color: #ffffff;
    padding: 20px 20px 0;
    margin-bottom: 30px;
    border: 1px solid #cdcdcd;
    box-shadow: 0 5px 10px 0px #000;
}

.draft-box {
    padding: 3px;
    text-align: center;
    margin-bottom: 20px;
    background-color: #ffff5a;
    font-weight: bold;
    border: 2px solid #b5b53b;
    color: #333;
}

.item-btn {
    position: relative;
    float: right;
    min-width: 30px;
    margin-top: 20px;
    margin-right: 22px;
    margin-bottom: 20px;
    font-size: 1.3em;
}

.item-btn:hover {
    cursor: pointer;
}

.edit-item-btn:hover {
    color: green;
}

.sold-item-btn:hover {
    color: #dbb900;
}

.del-item-btn:hover {
    color: red;
}

.item-img {
    position: relative;
    width: 45%;
    float: left;
    margin-right: 20px;
    margin-bottom: 20px;
}

.item-img img {
    width: 100%;
    height: auto;
}

.item-img-overlay {
    position: absolute;
    width: 100%;
    top: 0;
    bottom: 0;
    background-color: rgba(0, 0, 0, 0.42);
    opacity: 0;
    transition: 0.1s;
    cursor: pointer;
}

.item-img-overlay span {
    position: relative;
    display: block;
    color: #fff;
    text-align: center;
    top: 50%;
    transform: translate(0,-50%);
}

.item-title {
    border-bottom: 2px solid #ddd;
    margin-bottom: 20px;
    padding-bottom: 20px;
    color: #333;
}

.item-title h3 {
    margin: -6px 0;
    text-align: left;
}

.item-desc {
    display: inline-block;
    width: 48%;
    float: left;
    margin-bottom: 20px;
}

.item-desc p {
    margin-top: 0;
}

.item-edit-btns {
    clear: both;
    border-top: 2px solid #ddd;
}

.item-contact {
    clear: both;
    border-top: 2px solid #ddd;
    padding: 20px 0;
}

.item-contact .add-basket,
.item-contact .del-basket {
    float: right;
    margin-bottom: 20px;
}

.message {
    position: absolute;
    text-align: center;
    left: 50%;
    transform: translate(-50%);
    width: 80%;
    margin-top: 15px;
    padding: 5px 0 7px;
    color: #fff;
    box-shadow: 0 3px 9px -2px #000;
    display: none;
}

#success {
    background-color: green;
}

#error {
    background-color: red;
}

#maint-message {
    background-color: #ffff00;
    color: #333;
    z-index: -1;
}

.modal {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background-color: rgba(255, 255, 255, 0.9);
    z-index: 1000;
}

.modal-interior {
    position: fixed;
    left: 50%;
    transform: translate(-50%);
    padding: 0 20px 20px;
    box-shadow: 0 2px 10px #111;
}

#edit-cat-modal .modal-interior {
    top: 15%;
    width: 40%;
}

#del-uncat-modal .modal-interior,
#del-cat-modal .modal-interior,
.sold-item-modal .modal-interior,
.del-item-modal .modal-interior,
.undo-item-modal .modal-interior,
#del-status-modal .modal-interior,
#sold-status-modal .modal-interior,
#create-link-modal .modal-interior,
#del-user-modal .modal-interior,
#publish-all-modal .modal-interior {
    text-align: center;
    top: 30%;
    max-width: 40%;
}

#add-item-modal .modal-interior,
.edit-item-modal .modal-interior {
    width: 80%;
    top: 10%;
    padding: 0 60px 20px;
    max-height: 80%;
    overflow: auto;
    padding-bottom: 0;
}

#create-link-modal .modal-interior {
    padding-bottom: 0;
}

#add-item-modal .modal-interior hr,
.edit-item-modal .modal-interior hr {
    margin-bottom: 20px;
}

.contact-modal .modal-interior {
    position: relative;
    top: 10%;
    max-height: 80%;
    width: 50%;
    overflow-y: auto;
}

#edit-user-modal .modal-interior {
    width: 50%;
    top: 20%;
}

#contact-container {
    width: 70%;
    margin: 0 auto;
    padding: 0 40px 10px;
}

#contact-form h3 {
    text-align: center;
}

.contact-form-message {
    text-align: center;
    margin-bottom: 20px;
    padding-left: 10px;
    padding-right: 10px;
}

.box {
    background: #ffffff;
}

.img-modal .modal-interior {
    width: 95%;
    height: 95%;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
}

.img-title-container h3 {
    position: relative;
    margin: 0;
    top: 33%;
}

.img-title-container {
    height: 7%
}

.img-display-area {
}

.img-left-pane {
    position: absolute;
    left: 20px;
    width: 39%;
    height: 82%;
    padding: 7px 20px;
    top: 53%;
    transform: translate(0,-50%);
    overflow-y: scroll;
    overflow-x: auto;
}

.img-left-pane img {
    width: 46%;
    height: auto;
    padding: 5px;
    margin: 2%;
    vertical-align: middle;
    border: 15px solid transparent;
    cursor: pointer;
}

.thumb-border {
    border: 15px solid #ccc !important;
    transition: 0.2s;
}

.img-right-pane {
    position: absolute;
    right: 20px;
    width: 57%;
    height: 82%;
    padding-left: 40px;
    padding-right: 20px;
    text-align: center;
    top: 53%;
    transform: translate(0,-50%);
}

.img-right-pane img#mainimg {
    display: none;
    position: relative;
    max-height: 100%;
    max-width: 100%;
    top: 50%;
    transform: translate(0,-50%);
}

.loader-container {
    position: absolute;
    padding-left: 20px;
    width: 101%;
    height: 101%;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    background-color: #fff;
}

#loaderimg {
    position: relative;
    top: 50%;
    transform: translateY(-50%);
    height: 25%;
    width: auto;
}

.close-img-modal {
    position: absolute;
    top: 10px;
    right: 16px;
    font-size: 2em;
    cursor: pointer;
}

.close-img-modal:hover {
    color: #777;
}

.img-thumb {
    position: relative;
    width: 30%;
    float: left;
    margin-right: 3.333333%;
    margin-bottom: 20px;
    overflow: hidden;
}

.img-thumb img {
    width: 100%;
    height: auto;
}

.img-thumb:last-of-type {
    margin-right: 0;
}

.thumb-overlay {
    position: absolute;
    top: -11px;
    bottom: 0;
    right: -39px;
    width: 0;
    height: 0;
    border-left: 60px solid transparent;
    border-right: 60px solid transparent;
    border-bottom: 60px solid #333;
    transform: rotateZ(45deg);
    box-shadow: 0 5px 25px #333;
    opacity: 0;
    cursor: pointer;
    transition: 0.1s;
}

.thumb-overlay .fa-trash {
    position: relative;
    top: 12px;
    left: 24px;
    color: #ff3b3b;
    font-size: 1.3em;
    filter: drop-shadow(0 0 2px #000);
    margin: 10px;
    float: right;
    transform: rotateZ(-45deg);
}

#wait-processing {
    display: none;
    z-index: 1001;
}

#wait-background {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 0.8;
    background-color: #fff;
    z-index: 1002;
}

#wait-loader-img {
    position: fixed;
    top: 45%;
    left: 50%;
    transform: translate(-50%,-50%);
    z-index: 1003;
}

#add-processing-text,
#update-processing-text {
    display: none;
    position: fixed;
    top: 15%;
    left: 50%;
    font-size: 2em;
    transform: translate(-50%,0);
    text-shadow: 3px 3px 5px #333;
    z-index: 1003;
}

#customize-container,
#settings-container {
    width: 70%;
    margin: 0 auto;
    padding: 0 40px 30px;
}

#customize-container .form-group input,
#settings-container .form-group input {
    float: none;
}

#customize-container .form-group input[type='color'] {
    float: left;
    width: 50px;
    height: 34px;
    margin: 16px 10px 10px 0;
}

#customize-container .form-group input[type='color']:hover {
    cursor: pointer;
}

#customize-container label {
    display: block;
    margin: 18px 0 10px;
    float: left;
    text-shadow: 0 0 1px #aaa;
}

#customize-container .radio-label {
    margin-top: 0;
}

#customize-container h3,
#settings-container h3 {
    text-align: left;
}

#settings-container textarea {
    width: 100%;
}

#customize-container input[type='file'],
#customize-container input[type='text'],
#customize-container textarea {
    width: 100%;
    margin-bottom: 20px;
    margin: 0;
}

#customize-container input[type='radio'] {
    position: relative;
    clear: both;
    top: 6px;
    float: left;
}

.fixed-btn-bar {
    position: fixed;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    width: 100%;
    padding: 20px 25% 0;
    box-shadow: 0 1px 9px 4px #000;
}

.sticky-btn-bar {
    position: sticky;
    bottom: 0;
    height: 76px;
    margin-left: -60px;
    padding: 20px 60px;
    width: calc(100% + 120px);
    box-shadow: 0 1px 9px 4px #000;
}

.fixed-btn-bar .btn,
.sticky-btn-bar .btn {
    margin-bottom: 20px;
}

#page-container {
    width: 70%;
    margin: 0 auto;
    padding: 20px 40px 40px;
}

#edit-page {
    width: 80%;
    margin: 0 auto;
    padding: 0 40px 40px;
}

#edit-page textarea {
    height: 50vh;
}

#create-a-link:hover {
    cursor: pointer;
}

#users-table {
    margin: 0 auto 40px;
}

#users-table .fa {
    display: block;
    text-align: center;
}

#users-table .fa:hover {
    cursor: pointer;
}

#users-table .fa-edit:hover {
    color: green;
}

#users-table .fa-times:hover {
    color: red;
}

#users-table th,
#users-table td {
    padding: 2px 10px;
    border: 1px solid #fff;
}

#adduser-container {
    width: 60%;
    margin: 0 auto;
    padding: 0 30px 10px;
}

#basket-container {
    width: 80%;
    margin: 0 auto;
    padding: 1px 20px 20px;
}

#basket {
    width: 100%;
}

#basket-item {
    width: 100%;
}

#basket img {
    height: 40px;
    width: auto;
    vertical-align: middle;
    margin: 5px 10px 5px 5px;
}

#basket a {
/*
    position: relative;
    float: right;
    padding: 0 6px;
    margin: 5px 5px 5px 10px;
    height: 32px;
    top: 4px;
*/
}

/************************************/
/***********    MOBILE    ***********/
/************************************/

#cat-menu-mobile {
    display: none;
}

#menu-toggle-btn {
    display: none;
    float: right;
    margin-top: 7px;
    margin-right: 15px;
    font-size: 3.5em;
}

#main-nav-mobile {
    display: none;
}

#menu-toggle-btn:hover {
    cursor: pointer;
}

footer {
    height: 100px;
}